---
lang: en
title: 'API docs: repository.repositorymetadata'
keywords: LoopBack 4.0, LoopBack 4
sidebar: lb4_sidebar
permalink: /doc/en/lb4/apidocs.repository.repositorymetadata.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/repository](./repository.md) &gt; [RepositoryMetadata](./repository.repositorymetadata.md)

## RepositoryMetadata class

Metadata for a repository

<b>Signature:</b>

```typescript
export declare class RepositoryMetadata 
```

## Constructors

|  Constructor | Modifiers | Description |
|  --- | --- | --- |
|  [(constructor)(modelOrRepo, dataSource)](./repository.repositorymetadata._constructor_.md) |  | Constructor for RepositoryMetadata |

## Properties

|  Property | Modifiers | Type | Description |
|  --- | --- | --- | --- |
|  [dataSource](./repository.repositorymetadata.datasource.md) |  | <code>juggler.DataSource &#124; DataSource</code> | Instance of the data source |
|  [dataSourceName](./repository.repositorymetadata.datasourcename.md) |  | <code>string</code> | Name of the data source |
|  [modelClass](./repository.repositorymetadata.modelclass.md) |  | <code>typeof Entity</code> | Class of the model |
|  [modelName](./repository.repositorymetadata.modelname.md) |  | <code>string</code> | Name of the model |
|  [name](./repository.repositorymetadata.name.md) |  | <code>string</code> | Name of the predefined repository |


